package com.kelidestan.search;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		
		Button b1 = (Button) findViewById(R.id.button1);
        b1.setOnClickListener(new OnClickListener() {
                
                @Override
                public void onClick(View arg0) {
                        startActivity(new Intent(MainActivity.this, Subject_1.class));
                }
        });
        
        Button b2 = (Button) findViewById(R.id.button2);
        b2.setOnClickListener(new OnClickListener() {
                
                @Override
                public void onClick(View arg0) {
                        startActivity(new Intent(MainActivity.this, Subject_2.class));
                }
        });
        
        Button b3 = (Button) findViewById(R.id.button3);
        b3.setOnClickListener(new OnClickListener() {
                
                @Override
                public void onClick(View arg0) {
                        startActivity(new Intent(MainActivity.this, Subject_3.class));
                }
        });
	}
	
	@Override
	  public boolean onCreateOptionsMenu(Menu menu) {
			MenuInflater inflater = getMenuInflater();
		    inflater.inflate(R.menu.menu, menu);
		    return true;
	}
	
	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {
		case R.id.itemSearch:
			startActivity(new Intent(MainActivity.this, Search.class));
			return true;
		default: 
			return true;
		}	
	}

}
